Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
FSDK.QuadPoints Class Reference

## Public Member Functions
| constructor (first, second, third, fourth) const ructor()
| Constructor, with parameters. More...
| Set (first, second, third, fourth)
| Set value. More...

## Public Attributes
| first
| First point of quadrilateral, in PDF coordinate system.
| fourth
| Fourth point of quadrilateral, in PDF coordinate system.
| second
| Second point of quadrilateral, in PDF coordinate system.
| third
| Third point of quadrilateral, in PDF coordinate system.

## Detailed Description

This class represents points of a quadrilateral, in PDF coordinate system. The order of points in a quadrilateral should be as follows:

- The first point is the point in left-top corner of the quadrilateral.
- The second point is the point in right-top corner of the quadrilateral.
- The third point is the point in left-bottom corner of the quadrilateral.
- The fourth point is the point in right-bottom corner of the quadrilateral.

## Member Function Documentation

## ◆ constructor()

FSDK.QuadPoints.constructor | ( | first | ,
|  | second | ,
|  | third | ,
|  | fourth |
| ) |  | const

Constructor, with parameters.

Parameters

  [in] | first | First point of the quadrilateral, in PDF coordinate system.
  [in] | second | Second point of the quadrilateral, in PDF coordinate system.
  [in] | third | Third point of the quadrilateral, in PDF coordinate system.
  [in] | fourth | Fourth point of the quadrilateral, in PDF coordinate system.

Constructor.

## ◆ Set()

FSDK.QuadPoints.Set | ( | first | ,
|  | second | ,
|  | third | ,
|  | fourth |
| ) |  |

Set value.

Parameters

  [in] | first | First point of the quadrilateral, in PDF coordinate system.
  [in] | second | Second point of the quadrilateral, in PDF coordinate system.
  [in] | third | Third point of the quadrilateral, in PDF coordinate system.
  [in] | fourth | Fourth point of the quadrilateral, in PDF coordinate system.

Returns
  None.